#!/usr/bin/perl
# $Id: pfilter.pl,v 1.3 1999/11/14 10:50:21 vasim Exp $

# Configuration variables
$spooldirectory = "/var/spool/psheduler";
$maxfilesize = 1024;

$pager = shift;
$delivery = shift;

$prefix = time();
if (substr($delivery, length($delivery) - 1) ne ";") {
  $delivery = "$delivery;";
}

if ($delivery =~ /^[Aa](.*)$/) {
  $accumulate = 1;
  $delivery = $1;
  $prefix = 0;
 SIZECHECK:
  ($dev, $ino, $mode, $nlink, $uid, $gid, $rdev, $size, $atime, $mtime,
   $ctime, $blksize,
   $blocks) = stat("$spooldirectory/$prefix.$pager.$delivery");
  if ($maxfilesize < $size) {
    $prefix++;
    goto SIZECHECK;
  }
} else {
  $accumulate = 0;
}

LOOP:
$filename = "$spooldirectory/$prefix.$pager.$delivery";
if ($accumulate == 0) {
  if (-f $filename) {
    $prefix++;
    goto LOOP;
  }
}
open(OUT, ">>$filename") || exit(1);
if ($accumulate) {
  $ct = localtime;
  print OUT "\nMessage from $ct:\n\n";
}
while(<>) {
  print OUT $_;
}
close(OUT);
exit(0);
